import 'dart:ui';

// 同步得分回调
typedef SynchroScoreCallback = Future<void> Function(
    {required double score, required bool continueScoring, required bool hasSubtopic, bool allWrong, bool cleanScore});

//
typedef OffsetOriginCall = void Function(Offset offset);

//
typedef VoidCallbackFuture = Future<void> Function();

//
typedef VoidCallbackFutureBool = Future<void> Function(bool flag);
